<?php /* Smarty version 2.6.14, created on 2006-08-07 11:52:47
         compiled from I:%5Cdouya.cn/meta/module/module_display.php */ ?>
<?php echo '<?php'; ?>

// 取得相关信息
include_once( ROOT . 'lib/biz.function.php' );
include_once( ROOT . 'lib/vf.function.php'  );
include_once( ROOT . 'meta/city.meta.php'  );

if( !vf_check_numeric( $id = $_REQUEST['id'] ) )
{
	info_page( '<a href="javascript:history.back(1)">错误的id</a>' );
}

$review_count = get_content_review_count( <?php echo $this->_tpl_vars['module_id']; ?>
 , $id );

if( intval( $_REQUEST['page'] ) < 1 ) $page = 1 ; else $page = $_REQUEST['page'];
$page_num = intval( _conf( 'REVIEW_PER_PAGE' ) );
$start = ( $page-1 ) * $page_num;

$page_all = ceil( $review_count /$page_num );
$pager = get_pager( $page , $page_all , Array( 'a' , 'u' , 'id' ) );

$t = _tpl();
$t->set( 'review_count' , $review_count );
$t->set( 'reviews' , get_content_review_data( <?php echo $this->_tpl_vars['module_id']; ?>
 , $id , $start , $page_num ) );
// $data = get_content_review_data( <?php echo $this->_tpl_vars['module_id']; ?>
 , $item['id'] , $ )
$t->set( 'item' , $item = get_content_info_by_id_and_module_id( $id , <?php echo $this->_tpl_vars['module_id']; ?>
 ) );
echo $t->autoFetch( __FILE__ );
<?php echo '?>'; ?>